package de.games.nanoleaf.panelconfig;

public class PanelInfo {

	int m_panelID = 0;
	String m_panelNanoleafID = null;
	int m_panelMatrixPosX = 0;
	int m_panelMatrixPosY = 0;
	String m_panelColor = null;
	boolean m_panelActiv = true;
	boolean m_panelInit = false;
	
	
	public PanelInfo(int panelID) {
		this.m_panelID = panelID;
	}


	public int getPanelID() {
		return m_panelID;
	}
	public void setPanelID(int panelID) {
		m_panelID = panelID;
	}


	public String getPanelNanoleafID() {
		return m_panelNanoleafID;
	}
	public void setPanelNanoleafID(String panelNanoleafID) {
		m_panelNanoleafID = panelNanoleafID;
	}


	public int getPanelMatrixPosX() {
		return m_panelMatrixPosX;
	}
	public void setPanelMatrixPosX(int panelMatrixPosX) {
		m_panelMatrixPosX = panelMatrixPosX;
	}


	public int getPanelMatrixPosY() {
		return m_panelMatrixPosY;
	}
	public void setPanelMatrixPosY(int panelMatrixPosY) {
		m_panelMatrixPosY = panelMatrixPosY;
	}


	public String getPanelColor() {
		return m_panelColor;
	}
	public void setPanelColor(String panelColor) {
		m_panelColor = panelColor;
	}


	public boolean getPanelActiv() {
		return m_panelActiv;
	}
	public void setPanelActiv(boolean panelActiv) {
		m_panelActiv = panelActiv;
	}


	public boolean getPanelInit() {
		return m_panelInit;
	}
	public void setPanelInit(boolean panelInit) {
		m_panelInit = panelInit;
	}
	
	

}
